//
//  FileRegExpFilter.java
//  
//
//  Created by Evan Raskob on Tue Oct 21 2003.
//  Copyright (c) 2003 Evan Raskob. All rights reserved.
//

import java.io.*;

public class FileRegExpFilter implements FilenameFilter
{
    protected String regexp = null;

    public FileRegExpFilter(String sfx) {
        super();
        regexp = sfx;
    }

    public void setRegExp(String sfx) {
        regexp = sfx;
    }

    public String getRegExp() {
        return regexp;
    }
    
    public boolean accept(File file, String name) {
        return name.matches(regexp);
    }
}
